\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-6.5,1.5) rectangle (1.5,5.5);
\fill[line width=2pt,color=G3,fill=G3] (-6,2) -- (-2,2) -- (-3.715,3.715) -- cycle;
\fill[line width=2pt,color=A3,fill=A3] (-3.715,3.715) -- (-2,2) -- (1,2) -- (-2,5) -- cycle;
\draw [shift={(-3.715,3.715)},line width=2pt] (0,0) -- (-143.13:0.6) arc (-143.13:-45:0.6) -- cycle;
\draw [shift={(-2,5)},line width=2pt] (0,0) -- (-143.13:0.6) arc (-143.13:-45:0.6) -- cycle;
\draw [line width=2pt,color=black] (-6,2)-- (-2,2);
\draw [line width=2pt,color=black] (-2,2)-- (-3.715,3.715);
\draw [line width=2pt,color=black] (-3.715,3.715)-- (-6,2);
\draw [line width=2pt,color=black] (-3.715,3.715)-- (-2,2);
\draw [line width=2pt,color=black] (-2,2)-- (1,2);
\draw [line width=2pt,color=black] (1,2)-- (-2,5);
\draw [line width=2pt,color=black] (-2,5)-- (-3.715,3.715);
\draw [shift={(-3.715,3.715)},line width=2pt] (-143.13:0.6) arc (-143.13:-45:0.6);
\draw[line width=2pt] (-3.82,3.2) -- (-3.85,3.05);
\draw[line width=2pt] (-3.68,3.19) -- (-3.67,3.04);
\draw [shift={(-2,5)},line width=2pt] (-143.13:0.6) arc (-143.13:-45:0.6);
\draw[line width=2pt] (-2.11,4.49) -- (-2.14,4.34);
\draw[line width=2pt] (-1.97,4.48) -- (-1.96,4.33);
\begin{Large}
\draw[color=black] (-1.75,5.25) node {$M$};
\draw[color=black] (-6.25,1.75) node {$O$};
\draw[color=black] (1.25,1.75) node {$N$};
\draw[color=black] (-1.75,1.75) node {$B$};
\draw[color=black] (-4,4) node {$A$};
\end{Large}
\end{tikzpicture}
\end{document}